# Note that this is NOT a relocatable package
%define ver	2.0.11
%define rel	2
%define prefix	/usr

%define config_opts --prefix=%{prefix} --sysconfdir=/etc

Summary:   Battery status applet for GNOME.
Name:      battstat_applet
Version:   %{ver}
Release:   %{rel}
Copyright: GPL
Group:     homegrown
Source:    battstat_applet-2.0.11.tar.gz
Patch:     rpm-po.patch
BuildRoot: /tmp/battstat_applet-2.0.11-buildroot
Requires:  gtk+ >= 1.2.7
Requires:  gnome-libs >= 1.2.0
Requires:  gettext >= 0.10.37
Provides:  battstat_applet

%description
 Battstat is a battery status applet that monitors the battery charge level
 on a laptop. It displays different icons depending on the state of the
 power subsystem, and will warn if the power drops below a user configurable
 level. It uses the standard GNOME event system to play user configurable
 samples at certain events.

%prep
%setup -n battstat_applet-2.0.11
%patch -p0

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure %{config_opts}
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR="$RPM_BUILD_ROOT" install-strip

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README INSTALL COPYING ChangeLog NEWS TODO AUTHORS
%{prefix}/bin/battstat_applet
%{prefix}/share/pixmaps/*
%{prefix}/share/locale/*/LC_MESSAGES/battstat_applet.mo
%{prefix}/share/gnome/help/battstat_applet/*
%{prefix}/share/applets/Monitors/battstat_applet.desktop
%config /etc/sound/events/battstat_applet.soundlist
%config /etc/CORBA/servers/battstat_applet.gnorba

%changelog
* Sun May 06 2001 Michael Reinsch <mr@uue.org>
- several fixes to spec file

